import type { CloudWatchLogsClient } from '@aws-sdk/client-cloudwatch-logs';
import type { IAMClient } from '@aws-sdk/client-iam';
import type { LambdaClient } from '@aws-sdk/client-lambda';
import type { ServiceQuotasClient } from '@aws-sdk/client-service-quotas';
import type { STSClient } from '@aws-sdk/client-sts';
import type { AwsRegion } from './regions';
import type { RequestHandler } from './types';
export declare const getCloudWatchLogsClient: (region: AwsRegion, requestHandler: RequestHandler | null) => CloudWatchLogsClient;
export declare const getLambdaClient: (region: AwsRegion, _timeoutInTest: number | undefined, requestHandler: RequestHandler | null) => LambdaClient;
export declare const getIamClient: (region: AwsRegion, requestHandler: RequestHandler | null) => IAMClient;
export declare const getServiceQuotasClient: (region: AwsRegion, requestHandler: RequestHandler | null) => ServiceQuotasClient;
export declare const getStsClient: (region: AwsRegion, requestHandler: RequestHandler | null) => STSClient;
