import type { AwsRegion } from './regions';
export type AwsProvider = {
    type: 'aws';
    region: AwsRegion;
    receivedArtifactType: {
        s3Key: string;
        s3Url: string;
    };
    creationFunctionOptions: {
        createCloudWatchLogGroup: boolean;
        accountId: string;
        alreadyCreated: boolean;
        retentionInDays: number;
        customRoleArn: string;
        enableLambdaInsights: boolean;
        vpcSubnetIds: string;
        vpcSecurityGroupIds: string;
        runtimePreference: RuntimePreference;
    };
    storageClass: StorageClass;
    requestHandler: RequestHandler | null | undefined;
};
import type { StorageClass } from '@aws-sdk/client-s3';
import type { ProviderSpecifics } from '@remotion/serverless-client';
import type { RuntimePreference } from './runtime-preference';
import type { RequestHandler } from './types';
export declare const awsImplementation: ProviderSpecifics<AwsProvider>;
