"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bucketExistsInRegionImplementation = void 0;
const client_s3_1 = require("@aws-sdk/client-s3");
const get_s3_client_1 = require("./get-s3-client");
const bucketExistsInRegionImplementation = async ({ bucketName, region, expectedBucketOwner, forcePathStyle, requestHandler, }) => {
    var _a;
    try {
        const bucket = await (0, get_s3_client_1.getS3Client)({
            region,
            customCredentials: null,
            forcePathStyle,
            requestHandler,
        }).send(new client_s3_1.GetBucketLocationCommand({
            Bucket: bucketName,
            ExpectedBucketOwner: expectedBucketOwner !== null && expectedBucketOwner !== void 0 ? expectedBucketOwner : undefined,
        }));
        return ((_a = bucket.LocationConstraint) !== null && _a !== void 0 ? _a : 'us-east-1') === region;
    }
    catch (err) {
        if (err.Code === 'NoSuchBucket') {
            return false;
        }
        throw err;
    }
};
exports.bucketExistsInRegionImplementation = bucketExistsInRegionImplementation;
