"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callFunctionSyncImplementation = void 0;
const client_lambda_1 = require("@aws-sdk/client-lambda");
const aws_clients_1 = require("./aws-clients");
const callLambdaSyncWithoutRetry = async ({ functionName, payload, region, timeoutInTest, }) => {
    const Payload = JSON.stringify(payload);
    const res = await (0, aws_clients_1.getLambdaClient)(region, timeoutInTest, null).send(new client_lambda_1.InvokeCommand({
        FunctionName: functionName,
        Payload,
        InvocationType: 'RequestResponse',
    }));
    const decoded = new TextDecoder('utf-8').decode(res.Payload);
    try {
        return JSON.parse(decoded);
    }
    catch (_a) {
        throw new Error(`Invalid JSON: ${JSON.stringify(decoded)}`);
    }
};
const callFunctionSyncImplementation = async (options) => {
    const res = await callLambdaSyncWithoutRetry(options);
    if (res.type === 'error') {
        const err = new Error(res.message);
        err.stack = res.stack;
        throw err;
    }
    return res;
};
exports.callFunctionSyncImplementation = callFunctionSyncImplementation;
