"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanItems = void 0;
const p_limit_1 = require("./p-limit");
const limit = (0, p_limit_1.pLimit)(10);
const cleanItems = ({ bucket, onAfterItemDeleted, onBeforeItemDeleted, region, list, providerSpecifics, forcePathStyle, requestHandler, }) => {
    return Promise.all(list.map((object) => limit(async () => {
        onBeforeItemDeleted({
            bucketName: bucket,
            itemName: object,
        });
        await providerSpecifics.deleteFile({
            bucketName: bucket,
            key: object,
            region,
            customCredentials: null,
            forcePathStyle,
            requestHandler,
        });
        onAfterItemDeleted({
            bucketName: bucket,
            itemName: object,
        });
    })));
};
exports.cleanItems = cleanItems;
