import type { GenericRenderProgress, Privacy } from '@remotion/serverless-client';
import type { AwsProvider } from './aws-provider';
import type { AwsRegion } from './regions';
export declare const MIN_MEMORY = 512;
export declare const MAX_MEMORY = 10240;
export declare const DEFAULT_MEMORY_SIZE = 2048;
export declare const DEFAULT_TIMEOUT = 120;
export declare const MIN_TIMEOUT = 15;
export declare const MAX_TIMEOUT = 900;
export declare const DEFAULT_FRAMES_PER_LAMBDA = 20;
export declare const BINARY_NAME = "remotion lambda";
export declare const DEFAULT_REGION: AwsRegion;
export declare const DEFAULT_MAX_RETRIES = 1;
export declare const MAX_EPHEMERAL_STORAGE_IN_MB = 10240;
export declare const DEFAULT_EPHEMERAL_STORAGE_IN_MB = 2048;
export declare const MIN_EPHEMERAL_STORAGE_IN_MB = 512;
export declare const DEFAULT_OUTPUT_PRIVACY: Privacy;
export declare const DEFAULT_CLOUDWATCH_RETENTION_PERIOD = 14;
export declare const RENDER_FN_PREFIX = "remotion-render-";
export declare const LOG_GROUP_PREFIX = "/aws/lambda/";
export declare const LAMBDA_INSIGHTS_PREFIX = "/aws/lambda-insights";
export declare const getSitesKey: (siteId: string) => string;
export type RenderProgress = GenericRenderProgress<AwsProvider>;
export declare const LAMBDA_CONCURRENCY_LIMIT_QUOTA = "L-B99A9384";
export declare const REMOTION_BUCKET_PREFIX = "remotionlambda-";
