"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertToServeUrlImplementation = void 0;
const serverless_client_1 = require("@remotion/serverless-client");
const convertToServeUrlImplementation = ({ urlOrId, region, bucketName, }) => {
    if (urlOrId.startsWith('src/')) {
        throw new Error(`Remotion Lambda can only render based on a URL in the cloud. It seems like you passed a local file: ${urlOrId}. Read the setup guide for Remotion Lambda ${serverless_client_1.DOCS_URL}/docs/lambda/setup`);
    }
    if (urlOrId.startsWith('http://') || urlOrId.startsWith('https://')) {
        return urlOrId;
    }
    return `https://${bucketName}.s3.${region}.amazonaws.com/sites/${urlOrId}/index.html`;
};
exports.convertToServeUrlImplementation = convertToServeUrlImplementation;
