"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lambdaDeleteFileImplementation = void 0;
const client_s3_1 = require("@aws-sdk/client-s3");
const get_s3_client_1 = require("./get-s3-client");
const lambdaDeleteFileImplementation = async ({ bucketName, key, region, customCredentials, forcePathStyle, requestHandler, }) => {
    await (0, get_s3_client_1.getS3Client)({
        region,
        customCredentials,
        forcePathStyle,
        requestHandler,
    }).send(new client_s3_1.DeleteObjectCommand({
        Bucket: bucketName,
        Key: key,
    }));
};
exports.lambdaDeleteFileImplementation = lambdaDeleteFileImplementation;
