"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFunction = void 0;
const client_lambda_1 = require("@aws-sdk/client-lambda");
const aws_clients_1 = require("./aws-clients");
/*
 * @description Deletes a deployed Lambda function based on its name.
 * @see [Documentation](https://remotion.dev/docs/lambda/deletefunction)
 */
const deleteFunction = async ({ region, functionName, requestHandler, }) => {
    await (0, aws_clients_1.getLambdaClient)(region, undefined, requestHandler !== null && requestHandler !== void 0 ? requestHandler : null).send(new client_lambda_1.DeleteFunctionCommand({
        FunctionName: functionName,
    }));
};
exports.deleteFunction = deleteFunction;
