"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAccountIdImplementation = void 0;
const client_sts_1 = require("@aws-sdk/client-sts");
const aws_clients_1 = require("./aws-clients");
const validate_aws_region_1 = require("./validate-aws-region");
const getAccountIdImplementation = async (options) => {
    (0, validate_aws_region_1.validateAwsRegion)(options.region);
    const callerIdentity = await (0, aws_clients_1.getStsClient)(options.region, null).send(new client_sts_1.GetCallerIdentityCommand({}));
    if (!callerIdentity.Account) {
        throw new Error('Cannot get account ID');
    }
    return callerIdentity.Account;
};
exports.getAccountIdImplementation = getAccountIdImplementation;
