import type { GetLoggingUrlForRendererFunction, ServerlessRoutines } from '@remotion/serverless-client';
import type { AwsProvider } from './aws-provider';
import type { AwsRegion } from './regions';
export declare const getCloudwatchMethodUrl: ({ region, functionName, renderId, rendererFunctionName, method, }: {
    region: AwsRegion;
    functionName: string;
    method: ServerlessRoutines;
    rendererFunctionName: string | null;
    renderId: string;
}) => string;
export declare const getLambdaInsightsUrl: ({ region, functionName, }: {
    region: AwsRegion;
    functionName: string;
}) => string;
export declare const getCloudwatchRendererUrl: GetLoggingUrlForRendererFunction<AwsProvider>;
export declare const getS3RenderUrl: ({ renderId, region, bucketName, }: {
    renderId: string;
    region: AwsRegion;
    bucketName: string;
}) => string;
export declare const getProgressJsonUrl: ({ region, bucketName, renderId, }: {
    region: AwsRegion;
    bucketName: string;
    renderId: string;
}) => string;
