"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCredentials = void 0;
const credential_provider_ini_1 = require("@aws-sdk/credential-provider-ini");
const get_env_variable_1 = require("./get-env-variable");
const is_in_lambda_1 = require("./is-in-lambda");
const getCredentials = () => {
    if ((0, is_in_lambda_1.isInsideLambda)()) {
        return undefined;
    }
    if ((0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_PROFILE')) {
        return (0, credential_provider_ini_1.fromIni)({
            profile: (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_PROFILE'),
        });
    }
    if ((0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_ACCESS_KEY_ID') &&
        (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_SECRET_ACCESS_KEY') &&
        (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_SESSION_TOKEN')) {
        return {
            accessKeyId: (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_ACCESS_KEY_ID'),
            secretAccessKey: (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_SECRET_ACCESS_KEY'),
            sessionToken: (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_SESSION_TOKEN'),
        };
    }
    if ((0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_ACCESS_KEY_ID') &&
        (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_SECRET_ACCESS_KEY')) {
        return {
            accessKeyId: (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_ACCESS_KEY_ID'),
            secretAccessKey: (0, get_env_variable_1.getEnvVariable)('REMOTION_AWS_SECRET_ACCESS_KEY'),
        };
    }
    if ((0, get_env_variable_1.getEnvVariable)('AWS_PROFILE')) {
        return (0, credential_provider_ini_1.fromIni)({
            profile: (0, get_env_variable_1.getEnvVariable)('AWS_PROFILE'),
        });
    }
    if ((0, get_env_variable_1.getEnvVariable)('AWS_ACCESS_KEY_ID') &&
        (0, get_env_variable_1.getEnvVariable)('AWS_SECRET_ACCESS_KEY') &&
        (0, get_env_variable_1.getEnvVariable)('AWS_SESSION_TOKEN')) {
        return {
            accessKeyId: (0, get_env_variable_1.getEnvVariable)('AWS_ACCESS_KEY_ID'),
            secretAccessKey: (0, get_env_variable_1.getEnvVariable)('AWS_SECRET_ACCESS_KEY'),
            sessionToken: (0, get_env_variable_1.getEnvVariable)('AWS_SESSION_TOKEN'),
        };
    }
    if ((0, get_env_variable_1.getEnvVariable)('AWS_ACCESS_KEY_ID') &&
        (0, get_env_variable_1.getEnvVariable)('AWS_SECRET_ACCESS_KEY')) {
        return {
            accessKeyId: (0, get_env_variable_1.getEnvVariable)('AWS_ACCESS_KEY_ID'),
            secretAccessKey: (0, get_env_variable_1.getEnvVariable)('AWS_SECRET_ACCESS_KEY'),
        };
    }
    return undefined;
};
exports.getCredentials = getCredentials;
