"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEnvVariable = void 0;
const getEnvVariable = (name) => {
    if (typeof process !== 'undefined' &&
        typeof process.env !== 'undefined' &&
        process.env[name]) {
        return process.env[name];
    }
    if (typeof Deno !== 'undefined' && Deno.env.has(name)) {
        return Deno.env.get(name);
    }
    return undefined;
};
exports.getEnvVariable = getEnvVariable;
