"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOutputUrlFromMetadata = void 0;
const serverless_client_1 = require("@remotion/serverless-client");
const constants_1 = require("./constants");
const getOutputUrlFromMetadata = ({ renderMetadata, bucketName, customCredentials, currentRegion, }) => {
    const { key, renderBucketName } = (0, serverless_client_1.getExpectedOutName)({
        renderMetadata,
        bucketName,
        customCredentials,
        bucketNamePrefix: constants_1.REMOTION_BUCKET_PREFIX,
    });
    return {
        url: `https://s3.${currentRegion}.amazonaws.com/${renderBucketName}/${key}`,
        key,
    };
};
exports.getOutputUrlFromMetadata = getOutputUrlFromMetadata;
