import type { CustomCredentials, LogLevel } from '@remotion/serverless-client';
import { type AwsProvider } from './aws-provider';
import type { RenderProgress } from './constants';
import type { AwsRegion } from './regions';
import type { RequestHandler } from './types';
export type GetRenderProgressInput = {
    functionName: string;
    bucketName: string;
    renderId: string;
    region: AwsRegion;
    logLevel?: LogLevel;
    s3OutputProvider?: CustomCredentials<AwsProvider>;
    forcePathStyle?: boolean;
    skipLambdaInvocation?: boolean;
    requestHandler?: RequestHandler;
};
export declare const getRenderProgress: (input: GetRenderProgressInput) => Promise<RenderProgress>;
