"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lambdaHeadFileImplementation = void 0;
const client_s3_1 = require("@aws-sdk/client-s3");
const get_s3_client_1 = require("./get-s3-client");
const lambdaHeadFileImplementation = async ({ bucketName, key, region, customCredentials, forcePathStyle, requestHandler, }) => {
    const head = await (0, get_s3_client_1.getS3Client)({
        region,
        customCredentials,
        forcePathStyle,
        requestHandler,
    }).send(new client_s3_1.HeadObjectCommand({
        Bucket: bucketName,
        Key: key,
    }));
    return head;
};
exports.lambdaHeadFileImplementation = lambdaHeadFileImplementation;
