"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRandomHashWithLifeCycleRule = exports.getLifeCycleRules = void 0;
const serverless_client_1 = require("@remotion/serverless-client");
const getEnabledLifeCycleRule = ({ key, value, }) => {
    return {
        Expiration: {
            Days: value,
        },
        Filter: {
            Prefix: `renders/${key}`,
        },
        ID: `delete-after-${key}`,
        Status: 'Enabled',
    };
};
const getLifeCycleRules = () => {
    return Object.entries(serverless_client_1.expiryDays).map(([key, value]) => getEnabledLifeCycleRule({ key, value }));
};
exports.getLifeCycleRules = getLifeCycleRules;
const generateRandomHashWithLifeCycleRule = ({ deleteAfter, randomHashFn, }) => {
    return [deleteAfter, randomHashFn()].filter(serverless_client_1.truthy).join('-');
};
exports.generateRandomHashWithLifeCycleRule = generateRandomHashWithLifeCycleRule;
