"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseFunctionName = void 0;
const constants_1 = require("./constants");
const parseFunctionName = (functionName) => {
    const match = functionName.match(new RegExp(constants_1.RENDER_FN_PREFIX + '(.*)-mem(\\d+)mb-disk(\\d+)mb-(\\d+)sec$'));
    if (!match) {
        return null;
    }
    return {
        version: match[1],
        memorySizeInMb: parseInt(match[2], 10),
        diskSizeInMb: parseInt(match[3], 10),
        timeoutInSeconds: parseInt(match[4], 10),
    };
};
exports.parseFunctionName = parseFunctionName;
