"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lambdaReadFileImplementation = void 0;
const client_s3_1 = require("@aws-sdk/client-s3");
const get_s3_client_1 = require("./get-s3-client");
const lambdaReadFileImplementation = async ({ bucketName, key, region, expectedBucketOwner, forcePathStyle, requestHandler, }) => {
    const { Body } = await (0, get_s3_client_1.getS3Client)({
        region,
        customCredentials: null,
        forcePathStyle,
        requestHandler,
    }).send(new client_s3_1.GetObjectCommand({
        Bucket: bucketName,
        Key: key,
        ExpectedBucketOwner: expectedBucketOwner !== null && expectedBucketOwner !== void 0 ? expectedBucketOwner : undefined,
    }));
    return Body;
};
exports.lambdaReadFileImplementation = lambdaReadFileImplementation;
