"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bun_test_1 = require("bun:test");
const estimate_price_1 = require("../estimate-price");
(0, bun_test_1.test)('Should calculate costs accurately', () => {
    (0, bun_test_1.expect)((0, estimate_price_1.estimatePrice)({
        region: 'us-east-1',
        durationInMiliseconds: 20000000,
        memorySizeInMb: 2048,
        diskSizeInMb: 512,
        lambdasInvoked: 1,
    })).toEqual(0.53334);
    (0, bun_test_1.expect)((0, estimate_price_1.estimatePrice)({
        region: 'us-east-1',
        durationInMilliseconds: 20000000,
        memorySizeInMb: 2048,
        diskSizeInMb: 10240,
        lambdasInvoked: 1,
    })).toEqual(0.53921);
    (0, bun_test_1.expect)((0, estimate_price_1.estimatePrice)({
        region: 'us-east-1',
        durationInMiliseconds: 20000000,
        memorySizeInMb: 2048,
        diskSizeInMb: 10240,
        lambdasInvoked: 1,
    })).toEqual(0.53921);
});
