"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bun_test_1 = require("bun:test");
const validate_disk_size_in_mb_1 = require("../validate-disk-size-in-mb");
(0, bun_test_1.test)('Disk size tests', () => {
    (0, bun_test_1.expect)(() => (0, validate_disk_size_in_mb_1.validateDiskSizeInMb)(512)).not.toThrow();
    (0, bun_test_1.expect)(() => (0, validate_disk_size_in_mb_1.validateDiskSizeInMb)(10240)).not.toThrow();
    (0, bun_test_1.expect)(() => {
        (0, validate_disk_size_in_mb_1.validateDiskSizeInMb)(0);
    }).toThrow(/parameter 'diskSizeInMb' must be between 512 and 10240, but got 0/);
    (0, bun_test_1.expect)(() => {
        (0, validate_disk_size_in_mb_1.validateDiskSizeInMb)({});
    }).toThrow(/parameter 'diskSizeInMb' must be a number, got a object/);
});
