"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseBucketName = void 0;
const constants_1 = require("./constants");
const regions_1 = require("./regions");
const parseBucketName = (name) => {
    const parsed = name.match(new RegExp(`^${constants_1.REMOTION_BUCKET_PREFIX}(.*)-([a-z0-9A-Z]+)$`));
    const region = parsed === null || parsed === void 0 ? void 0 : parsed[1];
    if (!region) {
        return { region: null };
    }
    const realRegionFound = regions_1.AWS_REGIONS.find((r) => r.replace(/-/g, '') === region);
    return { region: realRegionFound !== null && realRegionFound !== void 0 ? realRegionFound : null };
};
exports.parseBucketName = parseBucketName;
